require_relative "./game"
require_relative "./clumsy_player"
require_relative "./berserkplayer"
clumsy = ClumsyPlayer.new("klutz",105)
berserker  = BerserkPlayer.new("berserker",50)
knuckleheads = Game.new("Knuckleheads")
puts knuckleheads.title
knuckleheads.add_player(clumsy)
knuckleheads.add_player(berserker)
knuckleheads.load_player(File.expand_path("../../files/players.csv",__FILE__))
loop do
  puts "Enter the number of times you want to run the code or exit"
  n = gets
  case n
  when /^\d+/
    knuckleheads.play(n)
    knuckleheads.print_stats
    knuckleheads.save_high_score
  when  exit
    break
  end
end